org.apache.lucene.geo

## Class Tessellator.Node

- java.lang.Object
- - org.apache.lucene.geo.Tessellator.Node

- Enclosing class:
    Tessellator

      protected static class Tessellator.Node
      extends Object

  Circular Doubly-linked list used for polygon coordinates

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Node(Polygon polygon, int index, int vertexIndex)`
    `protected` | `Node(Tessellator.Node other)` simple deep copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(double aX, double aY, double bX, double bY)`
    `int` | `compareLat(Tessellator.Node other)` compare nodes by y then x
    `double` | `getLat()` get the latitude value
    `double` | `getLon()` get the longitude value
    `double` | `getX()` get the x value
    `double` | `getY()` get the y value
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Node

          protected Node(Polygon polygon,
                         int index,
                         int vertexIndex)

    - #### Node

          protected Node(Tessellator.Node other)

      simple deep copy constructor

  - ### Method Detail

    - #### getX

          public final double getX()

      get the x value

    - #### getY

          public final double getY()

      get the y value

    - #### getLon

          public final double getLon()

      get the longitude value

    - #### getLat

          public final double getLat()

      get the latitude value

    - #### compareLat

          public int compareLat(Tessellator.Node other)

      compare nodes by y then x

    - #### compare

          public int compare(double aX,
                             double aY,
                             double bX,
                             double bY)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.